{
  networking.hostName = "dns";
  # networking.useHostResolvConf = false;
  # networking.interfaces.eth0.useDHCP = true;
  networking.interfaces.eth0.ipv4.addresses = [{
    address = "192.168.1.53";
    prefixLength = 24;
  }];

  networking.defaultGateway = "192.168.1.1"; # your router
  networking.nameservers = [ "8.8.8.8" ]; # fallback resolvers

  networking.firewall.allowedTCPPorts = [ 53 67 80 443 ];
  networking.firewall.allowedUDPPorts = [ 53 67 ];

  networking.hosts = {
    "192.168.1.53" = [ "dns" "dns.lab" ];
  };
}
